/* Demo Only */
module.exports = function(grunt) {

	grunt.initConfig({
		less: {
			development: {
				options: {
					compress: false,
					yuicompress: false,
					optimization: 2
				},
				files: {
	          		"assets/css/bootstrap.css": "assets/src/bootstrap.less" // destination file and source file
		      	}
		  	},
		  	production: {
				options: {
					compress: true,
					yuicompress: true,
					optimization: 2
				},
				files: {
	          		"assets/css/bootstrap.min.css": "assets/src/bootstrap.less" // destination file and source file
		      	}
		  	}
		},
		watch: {
			styles: {
		        files: ['assets/**/*.less'], // which files to watch
		        tasks: ['less'],
		        options: {
		        	nospawn: true
		        }
		    }
		},
		concat: {
			options: {
				separator: ' ',
			},
			dist_css: {
				src: [
					'assets/css/theme.css',
					'assets/css/slick.css',
				],
				dest: 'assets/css/mino.css',
			},
			dist_js: {
				src: [
					'assets/js/slick.js',
					'assets/js/collapse.js',
					'assets/js/transition.js',
					'assets/js/dropdown.js',
					'assets/js/imgliquid-min.js',
					'assets/js/theme-add.js'
				],
				dest: 'assets/js/mino.js',
			},
		},
		cssmin: {
			options: {
				shorthandCompacting: false,
				roundingPrecision: -1
			},
			target: {
				files: {
					'assets/css/mino.min.css': ['assets/css/mino.css']
				}
			}
		},
		uglify: {
			my_target: {
				files: {
					'assets/js/mino.min.js': [
						'assets/js/slick.js',
						'assets/js/collapse.js',
						'assets/js/transition.js',
						'assets/js/dropdown.js',
						'assets/js/imgliquid-min.js'
					]
				}
			}
		}
	});

	grunt.loadNpmTasks( 'grunt-contrib-watch' );
	grunt.loadNpmTasks( 'grunt-contrib-less' );
	grunt.loadNpmTasks( 'grunt-contrib-concat' );
	grunt.loadNpmTasks( 'grunt-contrib-uglify' );
	grunt.loadNpmTasks( 'grunt-contrib-cssmin' );

	grunt.registerTask( 'default', ['less', 'watch'] );

};