<?php

/**
 * Author page
 * 
 * @package Mino
 * @since Mino 1.0.1 
 */

get_header(); 

$bar 		= mino_get_layout_bar();
$mainbar 	= $bar['mainbar_class'];

/* Get current author data */
$current_author 	= ( isset( $_GET['author_name'] ) ) ? get_user_by( 'slug', $author_name ) : get_userdata( intval( $author ) );

?>

<div id="primary" class="<?php echo esc_attr( $mainbar ); ?> content-area">
	<div class="main-content" id="archive-page">

		<?php mino_dimox_breadcrumbs(); ?>

		<header class="page-header">
			<h6><?php _e( 'Author :', 'mino' ); ?></h6>
			<div class="widget post-author">
				<div class="row">
					<div class="profile-photo col-md-3 col-sm-4 col-xs-4">
					<?php 
						echo get_avatar( $current_author->ID, 184, null, $current_author->display_name, array( 'class' => 'img-responsive' ) );
					?>
					</div>
					<div class="profile-caption col-md-9 col-sm-8 col-xs-8">
						<h3><?php echo esc_html( $current_author->display_name ); ?></h3>
						<div class="profile-social">
							<?php
								$profile_key = array(
									'facebook', 'twitter', 'instagram', 'google', 'mail'
								);
								foreach ( $profile_key as $key => $value ) :
									$data = get_user_meta( $current_author->ID, 'mino_user_' . $value, true );
									if ( ! empty( $data ) ) :
							?>
									<a href="<?php echo esc_url( $data ); ?>">
										<span class="icon-<?php echo esc_attr( $value ); ?>"></span>
									</a>
							<?php
									endif; 
								endforeach; 
							?>
						</div>
						<p><?php echo get_the_author_meta( 'description', $current_author->ID ); ?></p>
					</div>
				</div>
			</div>
		</header>

		<?php 
			if ( have_posts() ) :

				/* Start the loop */
				while ( have_posts() ) : the_post();

		?>
				<article id="post-<?php the_ID(); ?>" <?php post_class( 'post-thumb-list' ); ?>>
					<div class="row">
						<div class="img-thumb col-md-4">
							<div class="thumbnail">
								<a href="<?php the_permalink(); ?>">
									<?php the_post_thumbnail( 'post-thumbnail', array( 'class' => 'img-responsive' ) ); ?>
								</a>
							</div>
						</div>

						<div class="col-md-8">
							<?php get_template_part( 'content', get_post_format() ); ?>
						</div>
					</div>
				</article>

		<?php

				/* End the loop */
				endwhile;

				the_posts_pagination( array( 
					'prev_text'	=> '<span class="fa fa-chevron-left"></span>', 
					'next_text'	=> '<span class="fa fa-chevron-right"></span>', 
				) );

			/* If no content, include the "No posts found" template. */
			else :
				get_template_part( 'content', 'none' );

			endif;
		?>

	</div>
</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>