<?php

/**
 * Comment templates
 * 
 * @package Mino
 * @since Mino 1.0.1 
 */

/* Return if protected by password */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area widget comments">

	<?php if ( have_comments() ) : ?>
		<h2 class="comments-title">
			<?php
				printf( 
					_nx( 
						'One comment', 
						'%1$s comments',
						get_comments_number(), 
						'comments title', 
						'mino' 
					),
					number_format_i18n( get_comments_number() ), 
					get_the_title() 
				);
			?>
		</h2>

		<?php the_comments_navigation(); ?>

		<ol class="comment-list">
			<?php
				wp_list_comments( array(
					/* Mino_Walker_Comment currently support style only for ul */
					'walker' 		=> new Mino_Walker_Comment,
					'short_ping'  	=> true,
					'avatar_size' 	=> 60,
				) );
			?>
		</ol><!-- .comment-list -->

		<?php the_comments_navigation(); ?>

	<?php endif; /* Check for have_comments(). */ ?>

	<?php
		/* If comments are closed and there are comments */		
		if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="no-comments"><?php _e( 'Comments are closed.', 'mino' ); ?></p>
	<?php endif; ?>

	<?php
		comment_form( array(
			'title_reply_before' => '<h2 id="reply-title" class="comment-reply-title">',
			'title_reply_after'  => '</h2>',
		) );
	?>

</div><!-- .comments-area -->
