<?php

/**
 * Content default
 * 
 * @package Mino
 * @since Mino 1.0.1 
 */

/* Check thumbnail show */
$type 		= 'mino_index_thumbnail_customizer_set';
$default	= 1;
if ( is_category() || is_author() || is_search() ) {
	$type 		= 'mino_archive_thumbnail_customizer_set';
}
$show_thumbnail = get_theme_mod( $type, $default );

?>

<header class="post-heading">
	
	<div class="post-title">
		<?php
			if ( is_single() || is_page() ) {
				the_title( '<h1 class="entry-title">', '</h1>' );
			} else {
				the_title( sprintf( '<h2><a href="%s">', esc_url( get_permalink() ) ), '</a></h2>' );
				if ( get_the_title() == null ) {
					echo '<h2><a href="' . esc_url( get_permalink() ) . '">View Post</a></h2>'; 
				}
			}
		?>
		<p class="meta-entry">
			<span class="meta-date">
				<?php echo get_the_date(); ?>
			</span>
			<span class="author"> <?php __( 'by', 'mino' ); ?> 
				<?php the_author_posts_link(); ?>
			</span>
			<span class="total-comments">
				
				<?php
					if ( is_single() ) {
						comments_number( 
							__( 'no comments', 'mino' ),
							'<a href="#comment">' . __( 'one comment', 'mino' ) . '</a>', 
							'<a href="#comment">%' . __( ' comments', 'mino' ) . '</a>'
						);
					} else {
						comments_number( 
							__( 'no comments', 'mino' ),
							'<a href="' . esc_url( get_permalink() ) . '#comment">' . __( 'one comment', 'mino' ) . '</a>', 
							'<a href="' . esc_url( get_permalink() ) . '#comment">% ' . __( ' comments', 'mino' ) . '</a>'
						);
					}
				?>
			</span>
			<span class="meta-cat">
				<?php mino_category_list( get_the_ID(), __( 'Posted in', 'mino' ) ); ?>
			</span>
		</p>
	</div>

</header>

<div class="post-content">

	<?php if ( is_single() || is_page() ) : ?>

		<div class="img-thumb">
			<?php the_post_thumbnail( 'post-thumbnail', array( 'class' => 'img-responsive' ) ); ?>
		</div>

		<?php if ( has_excerpt() ) : ?>
		<div class="post-summary">
			<?php the_excerpt(); ?> 
		</div>
		<?php endif; ?>

		<?php the_content(); ?>

		<?php
			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'mino' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<div class="page-links-item">',
				'link_after'  => '</div>',
				'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'mino' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );
		?>

		<?php mino_tag_list( get_the_ID() ); ?>

		<!-- Post Author Info -->
		<?php 
			if ( get_theme_mod( 'mino_author_info_customizer_set' ) ) :

				/* Get current author data */
				$current_author = get_userdata( get_the_author_meta( 'ID' ) );
		?>

			<div class="widget post-author clearfix">
				<div class="profile-photo col-md-3 col-sm-4 col-xs-4">
					<?php 
						$avatar_args = array(
							$current_author->ID, 
							184, 
							null, 
							$current_author->display_name, 
							array( 'class' => 'img-responsive' )
						);
						echo get_avatar( $avatar_args );
					?>
				</div>
				<div class="profile-caption col-md-9 col-sm-8 col-xs-8">
					<h5 class="widget-title"><?php _e( 'About Me', 'mino' ); ?></h5>
					<h3><?php echo esc_html( $current_author->display_name ); ?></h3>
					<p><?php echo get_the_author_meta( 'description', $current_author->ID ); ?></p>
				</div>
			</div>

		<?php endif; ?> <!-- / Post Author Info -->

	<!-- Index Posts -->
	<?php else : ?>

		<?php 
			if ( has_excerpt() ) {
				the_excerpt();
			} else {
				the_content(); 
			}
		?>

		<?php
			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'mino' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<div class="page-links-item">',
				'link_after'  => '</div>',
				'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'mino' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );
		?>

	<?php endif; ?>

</div>