<?php

/**
 * Layout fields for custom layout
 *
 * @package Mino
 * @since Mino 1.0.1
*/

$layout 	= get_post_meta( $post->ID, 'mino_custom_single_layout', true );

?>
<div class="mino-form-fields">
	<div>
		<p><label><?php _e( 'Choose layout below to override default layout from Theme Options', 'mino' ); ?></label></p>
		<div>
			<div class="controls" id="bg-collayout-select">

                <?php $layouts    = apply_filters( 'mino_template_layout', '' ); ?>

                <div class="collayout-box fixed">

                <?php
                    if ( (array) $layouts == $layouts ) :
                    	$selected_value = ( $layout ) ? : 'default' ;
                        $layouts = wp_parse_args( $layouts, array( 'default' => MINO_THEME_URI_ASSETS . 'img/layout-default.png' ) );
                        foreach ( $layouts as $key => $value ) :
                            $selected       = null;
                            $img_selected   = null;
                            if ( $key == $selected_value ) {
                                $selected     = 'checked';
                                $img_selected = 'mino-bg-collayout-img-selected';
                            }
                ?>
                        <div class="collayout" >
                            <label class="box">
                                <img width="52px" height="52px" class="mino-bg-collayout-img bgp-<?php echo $key; ?> <?php echo $img_selected; ?>" src="<?php echo $value; ?>" alt="<?php echo $value; ?>">
                                <input type="radio" name="mino_custom_single_layout" value="<?php echo $key; ?>" style="display:none" <?php echo $selected; ?> />
                            </label>
                        </div>

                <?php 
                        endforeach;
                    endif;
                ?>

                </div>
            </div>

            <script type="text/javascript">
                jQuery( '#bg-collayout-select' ).on( 'click', '.mino-bg-collayout-img', function(){
                    jQuery( '.mino-bg-collayout-img-selected' ).removeClass( 'mino-bg-collayout-img-selected' );
                    jQuery( this ).addClass( 'mino-bg-collayout-img-selected' );
                });
            </script>
		</div>
	</div>
</div>