<?php

if ( ! class_exists( 'WP_Customize_Control' ) )
	return NULL;

/**
 * Mino custom customizer
 *
 * @package Mino
 * @since Mino 1.0.2
 */

/**
 * Mino Custom Customizer : Mino_Customize_Background_Pattern
 */
class Mino_Customize_Background_Pattern extends \WP_Customize_Control {

    public $type = 'radio';

    public function render_content() {

?>
	<style type="text/css">
		.pattern-box {
			display: table;
		    background: #fff;
		    padding: 10px 2px;
		}
		.pattern {
		    float: left;
		    display: block;
		    width: 52px;
		    height: 52px;
		    -webkit-box-shadow: inset 0 0 0 0px #eaeaea;
		    box-shadow: inset 0 0 0 0px #eaeaea;
		    margin: 4px;
		    cursor: pointer;
		}
		.mino-bg-pattern-img {
			border: 2px solid transparent;
		}
		.mino-bg-pattern-img-selected {
			border: 2px solid red;
		}
		.customize-control-radio .pattern label.box {
			margin: 0px;
			padding: 0px;
		}
	</style>

    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>

    <div class="controls" id="bg-pattern-select">

		<?php $layouts 	  = apply_filters( 'mino_bg_pattern_template', '' ); ?>

		<div class="pattern-box fixed">

		<?php
			foreach ( $layouts as $key => $value ) :
				$selected     	= null;
				$img_selected  	= null;
				if ( $value == $this->value() ) {
					$selected     = 'checked';
					$img_selected = 'mino-bg-pattern-img-selected';
				}
		?>
		    <div class="pattern" >
		    	<label class="box">
					<img width="52px" height="52px" class="mino-bg-pattern-img bgp-<?php echo $key; ?> <?php echo $img_selected; ?>" src="<?php echo $value; ?>" alt="<?php echo $value; ?>">
					<input type="radio" name="_customize-radio-mino_bg_pattern_ctrl" <?php echo $this->link();?> value="<?php echo $value; ?>" style="display:none" <?php echo $selected; ?> />
			    </label>
		    </div>

		<?php endforeach; ?>

		</div>
	</div>

	<script type="text/javascript">
		jQuery( '#bg-pattern-select' ).on( 'click', '.mino-bg-pattern-img', function(){
			jQuery( '.mino-bg-pattern-img-selected' ).removeClass( 'mino-bg-pattern-img-selected' );
			jQuery( this ).addClass( 'mino-bg-pattern-img-selected' );
		});
	</script>

<?php
    }
}

/**
 * Mino Custom Customizer : Mino_Customize_Theme_Control
 */
class Mino_Customize_Theme_Control extends \WP_Customize_Control {

    public $type = 'radio';

    public function render_content() {

?>
	<style type="text/css">
		.color-box {
			display: table;
		    background: #fff;
		    padding: 10px 2px;
		}
		.color {
		    float: left;
		    display: block;
		    width: 52px;
		    height: 52px;
		    -webkit-box-shadow: inset 0 0 0 0px #eaeaea;
		    box-shadow: inset 0 0 0 0px #eaeaea;
		    margin: 4px;
		    cursor: pointer;
		}
		.mino-bg-color-img {
			border: 2px solid transparent;
			height: 52px;
		    width: 100%;
		}
		.mino-bg-color-img-selected {
			border: 2px solid rgba(255,255,255,0.8);
		}
		.customize-control-radio .color label.box {
			margin: 0px;
			padding: 0px;
		}
	</style>

    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>

    <div class="controls" id="bg-color-select">

		<?php $layouts 	  = apply_filters( 'mino_bg_color_template', '' ); ?>

		<div class="color-box fixed">

		<?php
			foreach ( $layouts as $key => $value ) :
				$selected     	= null;
				$img_selected  	= null;
				if ( $value['label'] == $this->value() ) {
					$selected     = 'checked';
					$img_selected = 'mino-bg-color-img-selected';
				}
		?>
		    <div class="color" >
		    	<label class="box">
					<div width="52px" height="52px" class="mino-bg-color-img bgp-<?php echo $key; ?> <?php echo $img_selected; ?>" style="background:<?php echo $value['color']; ?>;" alt="<?php echo $value['label']; ?>"></div>
					<input type="radio" name="_customize-radio-mino_bg_color_ctrl" <?php echo $this->link();?> value="<?php echo $value['label']; ?>" style="display:none" <?php echo $selected; ?> />
			    </label>
		    </div>

		<?php endforeach; ?>

		</div>
	</div>

	<script type="text/javascript">
		jQuery( '#bg-color-select' ).on( 'click', '.mino-bg-color-img', function(){
			jQuery( '.mino-bg-color-img-selected' ).removeClass( 'mino-bg-color-img-selected' );
			jQuery( this ).addClass( 'mino-bg-color-img-selected' );
		});
	</script>

<?php
    }
}

/**
 * Mino Custom Customizer : mino_Customize_Theme_Layout_Control
 */
class Mino_Customize_Theme_Layout_Control extends \WP_Customize_Control {

    public $type = 'radio';

    public function render_content() {

?>

    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>

    <div class="controls" id="bg-collayout-select">

        <?php $layouts    = apply_filters( 'mino_template_layout', '' ); ?>

        <div class="collayout-box fixed">

        <?php
            if ( (array) $layouts == $layouts ) :
                foreach ( $layouts as $key => $value ) :
                    $selected       = null;
                    $img_selected   = null;
                    if ( $key == $this->value() ) {
                        $selected     = 'checked';
                        $img_selected = 'mino-bg-collayout-img-selected';
                    }
        ?>
                <div class="collayout" >
                    <label class="box">
                        <img width="52px" height="52px" class="mino-bg-collayout-img bgp-<?php echo $key; ?> <?php echo $img_selected; ?>" src="<?php echo $value; ?>" alt="<?php echo $value; ?>">
                        <input type="radio" name="_customize-radio-mino_bg_layout_ctrl" <?php echo $this->link();?> value="<?php echo $key; ?>" style="display:none" <?php echo $selected; ?> />
                    </label>
                </div>        <?php
                endforeach;
            endif;
        ?>

        </div>
    </div>

    <script type="text/javascript">
        jQuery( '#bg-collayout-select' ).on( 'click', '.mino-bg-collayout-img', function(){
            jQuery( '.mino-bg-collayout-img-selected' ).removeClass( 'mino-bg-collayout-img-selected' );
            jQuery( this ).addClass( 'mino-bg-collayout-img-selected' );
        });
    </script>

<?php
    }
}

/**
 * Mino Custom Customizer : Mino_Customize_Theme_Layoutbar_Control
 */
class Mino_Customize_Theme_Layoutbar_Control extends \WP_Customize_Control {

    public $type = 'radio';

    public function render_content() {

?>

    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>

    <div class="controls" id="bg-collayout-select">

        <?php $layouts    = apply_filters( 'mino_template_layout', '' ); ?>

        <div class="collayout-box fixed">

        <?php
            if ( (array) $layouts == $layouts ) :
                foreach ( $layouts as $key => $value ) :
                    $selected       = null;
                    $img_selected   = null;
                    if ( $key == $this->value() ) {
                        $selected     = 'checked';
                        $img_selected = 'mino-bg-collayout-img-selected';
                    }
        ?>
                <div class="collayout" >
                    <label class="box">
                        <img width="52px" height="52px" class="mino-bg-collayout-img bgp-<?php echo $key; ?> <?php echo $img_selected; ?>" src="<?php echo $value; ?>" alt="<?php echo $value; ?>">
                        <input type="radio" name="_customize-radio-mino_bg_layout_ctrl" <?php echo $this->link();?> value="<?php echo $key; ?>" style="display:none" <?php echo $selected; ?> />
                    </label>
                </div>        <?php
                endforeach;
            endif;
        ?>

        </div>
    </div>

    <script type="text/javascript">
        jQuery( '#bg-collayout-select' ).on( 'click', '.mino-bg-collayout-img', function(){
            jQuery( '.mino-bg-collayout-img-selected' ).removeClass( 'mino-bg-collayout-img-selected' );
            jQuery( this ).addClass( 'mino-bg-collayout-img-selected' );
        });
    </script>

<?php
    }
}

/**
 * Mino Custom Customizer : Mino_Customize_Breadcrumb_Control
 */
class Mino_Customize_Breadcrumb_Control extends \WP_Customize_Control {

    public $type = 'checkbox-multiple';

    public function render_content() {

    	if ( empty( $this->choices ) )
            return;

?>

    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>

    <?php
    	$multi_values = ( (array) $this->value() != $this->value() ) ? explode( ',', $this->value() ) : $this->value(); 
    ?>

    <ul>
        <?php foreach ( $this->choices as $value => $label ) : ?>

            <li>
                <label>
                    <input type="checkbox" value="<?php echo esc_attr( $value ); ?>" <?php checked( in_array( $value, $multi_values ) ); ?> />
                    <?php echo esc_html( $label ); ?>
                </label>
            </li>

        <?php endforeach; ?>
    </ul>

    <input type="hidden" <?php $this->link(); ?> value="<?php echo esc_attr( implode( ',', $multi_values ) ); ?>" />

    <script type="text/javascript">

        jQuery( document ).ready( function() {

		    /* Checkbox Multiple Control */
		    jQuery( '.customize-control-checkbox-multiple input[type="checkbox"]' ).on(
		        'change',
		        function() {

		            checkbox_values = jQuery( this ).parents( '.customize-control' ).find( 'input[type="checkbox"]:checked' ).map(
		                function() {
		                    return this.value;
		                }
		            ).get().join( ',' );

		            jQuery( this ).parents( '.customize-control' ).find( 'input[type="hidden"]' ).val( checkbox_values ).trigger( 'change' );
		        }
		    );

		} ); // jQuery( document ).ready

    </script>

<?php
    }
}

/**
 * Mino Custom Customizer : Mino_Customize_Ads_Display
 */
class Mino_Customize_Ads_Display extends \WP_Customize_Control {

    public function render_content() {

?>

    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
    <div class="text-center">
	    <a href="https://tonjoostudio.com/product/mino-clean-responsive-wordpress-theme/" target="_blank">
	    	<img src="<?php echo MINO_THEME_URI_ASSETS . 'img/banner-promo.jpg'; ?>" style="width: 100%; max-width: 100%;" />
    	</a>
    </div>

<?php
    }
}