<?php

/**
 * Index page
 *
 * @package Mino
 * @since 	1.0.1
 * @version 1.0.9
 */

get_header();

$bar 		= mino_get_layout_bar();
$mainbar 	= $bar['mainbar_class']; ?>

<div id="primary" class="<?php echo esc_attr( $mainbar ); ?> content-area">
	<div class="main-content" id="archive-page">

		<?php mino_dimox_breadcrumbs(); ?>

		<?php
			if ( have_posts() ) :
				if ( is_home() && ! is_front_page() ) :
		?>
					<header class="page-header">
						<h1 class="page-title">
							<a href="<?php the_permalink(); ?>">
								<?php single_post_title(); ?>
							</a>
						</h1>
					</header>
		<?php
				endif;

				/* Check thumbnail show */
				$show_thumbnail = get_theme_mod( 'mino_index_thumbnail_customizer_set', 1 );

				/* Start the loop */
				while ( have_posts() ) : the_post();
					if ( ! is_sticky() ) :

		?>

				<?php if ( $show_thumbnail ) : ?>

				<article id="post-<?php the_ID(); ?>" <?php post_class( 'post-thumb-list' ); ?>>
					<div class="row">
						<div class="img-thumb col-md-4">
							<div class="thumbnail">
								<a href="<?php the_permalink(); ?>">
									<?php the_post_thumbnail( 'post-thumbnail', array( 'class' => 'img-responsive' ) ); ?>
								</a>
							</div>
						</div>
						<div class="col-md-8">
							<?php get_template_part( 'content', get_post_format() ); ?>
						</div>
					</div>
				</article>

				<?php else : ?>

				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<?php get_template_part( 'content', get_post_format() ); ?>
				</article>

				<?php endif; ?>

		<?php

					endif;

				/* End the loop */
				endwhile;

				if ( ! is_single() ) :
					the_posts_pagination( array( 
						'prev_text'	=> '<span class="fa fa-chevron-left"></span>', 
						'next_text'	=> '<span class="fa fa-chevron-right"></span>', 
					) );
				endif;

			/* If no content, include the "No posts found" template. */
			else :
				get_template_part( 'content', 'none' );

			endif;
		?>

	</div>
</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>