<?php

/**
 * Template Name: Shop Page
 *
 * Shop Page template is used to display main shop page. Previous page
 * template name is Shop Homepage (1.0.1). Replaced to Shop Page (1.0.5) 
 * to avoid confusion with home.php.
 * 
 * @package Mino
 * @since Mino 1.0.1
 */

get_header();

/**
 * Woocommerce filter part
 */
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) : ?>

<div id="latest-product" class="layout-section">
	<div class="container">
		<div class="col-md-12">
			<?php do_action( 'mino_woocommerce_recent_product' ); ?>
		</div>
	</div>
</div>

<div id="latest-category" class="layout-section">
	<div class="container">
		<div class="row">
			<div class="col-md-12 nopad-mb">
				<?php do_action( 'mino_woocommerce_recent_category' ); ?>
			</div>
		</div>
	</div>
</div>

<div id="latest-posts" class="layout-section">
	<div class="container">
		<div class="row">
			<?php do_action( 'mino_woocommerce_recent_posts' ); ?>
		</div>
	</div>
</div>

<?php 

get_footer( 'shop' ); 

else : 

?>

<div class="layout-section">
	<div class="container">
		<div class="row">
			<div class="col-md-12">
				<h2 class="sub-title text-center">
				<?php _e( 'Brace yourself, our store is coming !!!', 'mino' ); ?>
				</h2>
			</div>
		</div>
	</div>
</div>

<?php 

get_footer(); 

endif; 

?>