<?php

/**
 * Page template
 *
 * @package Mino
 * @since Mino 1.0.1
 */

get_header();

// Set mainbar column
$bar 		= mino_get_layout_bar();
$mainbar 	= $bar['mainbar_class'];

// Set sidebar display status
$sidebar_s 		= true; 
$breadcrumb_s 	= true;
$woocommerce_s 	= false;

// Check woocommerce is active or not
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {

	if ( is_woocommerce() || is_cart() || is_checkout() || is_account_page() ) {
		$mainbar 		= 'col-md-12';
		$sidebar_s  	= false; 
		$breadcrumb_s 	= false;
		$woocommerce_s 	= true;
	}

}

?>

<div class="<?php echo esc_attr( $mainbar ); ?> content-area">
	<div class="main-content">

		<?php

		/* Start the loop */
		while ( have_posts() ) : the_post();

		?>

			<?php 
				// Breadcrumb
				if ( $breadcrumb_s ) {
					mino_dimox_breadcrumbs(); 
				}
			?>

			<article id="page-<?php the_ID(); ?>" <?php post_class( 'post-single' ); ?>>
				<?php 
					// Template for woocommerce page
					if ( $woocommerce_s ) {
						get_template_part( 'parts/content', 'woocommerce' );
					} else {
						get_template_part( 'content', get_post_format() );
					}
				?>
			</article>

		<?php

		/* End the loop. */
		endwhile;

		?>

	</div><!-- .main-content -->
</div><!-- .content-area -->

<?php 
	// Sidebar
	if ( $sidebar_s ) {
		get_sidebar();
	}
?>

<?php get_footer(); ?>