<?php

/**
 * Related post HMTL content
 * 
 * @package Mino
 * @since Mino 1.0.1 
 */

if ( get_theme_mod( 'mino_related_story_customizer_set' ) == 1 ) :

	$categories = get_the_category( get_the_ID() );
	$cat_list 	= array();

	if ( ! empty( $categories ) ) {
		foreach ( $categories as $category ) {
			array_push( $cat_list, $category->term_id );
		}

		$args = array(
			'posts_per_page'   => 3,
			'category'         => $cat_list,
			'orderby'          => 'rand',
			'post_type'        => 'post',
			'post_status'      => 'publish',
			'suppress_filters' => true 
		);
		$related_posts = get_posts( $args );
	}

	if ( ! empty( $related_posts ) ) :

	?>

	<div class="widget related-story clearfix">
		<h5 class="widget-title"><?php _e( 'Related Story', 'mino' ); ?></h5>
		<div class="row">

			<?php foreach ( $related_posts as $post ) : setup_postdata( $post ); ?>
	 		<div class="col-md-4 col-sm-4">
				<div class="post">
					<div class="row">
						<div class="img-thumb col-md-5 col-xs-5">
							<a href="<?php the_permalink(); ?>">
								<?php 
									if ( has_post_thumbnail() ) {
										the_post_thumbnail( 'post-thumbnail', array( 'class' => 'img-responsive' ) ); 
									} else {
										echo '<div class="img-area"></div>';
									}
								?>
							</a>
						</div>
						<div class="col-md-7 col-xs-7 no-padding">
							<header class="post-heading">
								<div class="post-title">
									<a href="<?php the_permalink(); ?>">
										<h5><?php the_title(); ?></h5>
									</a>
								</div>
							</header>
						</div>
					</div>
				</div>
			</div>
			<?php endforeach; ?>
			
		</div>
	</div>

	<?php endif; wp_reset_postdata(); ?>

<?php endif; ?>