<?php

/**
 * Single page
 *
 * @package Mino
 * @since Mino 1.0.2
 */

get_header();

$bar 		= mino_get_layout_bar();
$mainbar 	= $bar['mainbar_class'];

?>

<div class="<?php echo esc_attr( $mainbar ); ?> content-area">
	<div class="main-content">

		<?php

		/* Start the loop */
		while ( have_posts() ) : the_post();

		?>

			<?php mino_dimox_breadcrumbs(); ?>

			<article id="page-<?php the_ID(); ?>" <?php post_class( 'post-single' ); ?>>
				<?php get_template_part( 'content', get_post_format() ); ?>
			</article>

		<?php

			/* If comments are open or we have at least one comment, load up the comment template. */
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;

			/* Previous/next post navigation. */
			the_post_navigation( array(
				'next_text' => '<div class="nav-block"><h3 class="post-title">%title</h3> ' . '<div class="meta-nav next-single" aria-hidden="true"><span class="fa fa-chevron-right"></span></div> ' .
					'<span class="screen-reader-text">' . __( 'Next post:', 'mino' ) . '</span></div>',
				'prev_text' => '<div class="nav-block"><div class="meta-nav prev-single" aria-hidden="true"><span class="fa fa-chevron-left"></span></div> ' .
					'<span class="screen-reader-text">' . __( 'Previous post:', 'mino' ) . '</span> ' .
					'<h3 class="post-title">%title</h3></div>',
			) );

			/* Show related posts */
			get_template_part( 'parts/content', 'related' );

		/* End the loop. */
		endwhile;

		?>

	</div><!-- .main-content -->
</div><!-- .content-area -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>
