<?php
/**
 * Login form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/global/form-login.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @version     2.1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if ( is_user_logged_in() ) {
	return;
}

?>
<div class="row">
	<div class="col-md-4 col-md-offset-4">

		<form method="post" class="login" <?php if ( $hidden ) echo 'style="display:none;"'; ?>>

			<div class="login-section">

				<?php do_action( 'woocommerce_login_form_start' ); ?>

				<?php if ( $message ) echo wpautop( wptexturize( $message ) ); ?>

				<p class="form-row form-row-wide">
					<label for="username"><?php _e( 'Username or email', 'mino' ); ?></label>
					<input type="text" class="input-text" name="username" id="username" value="<?php if ( ! empty( $_POST['username'] ) ) echo esc_attr( $_POST['username'] ); ?>" />
				</p>
				<p class="form-row form-row-wide">
					<label for="password"><?php _e( 'Password', 'mino' ); ?></label>
					<input class="input-text" type="password" name="password" id="password" />
				</p>

				<?php do_action( 'woocommerce_login_form' ); ?>
				<?php wp_nonce_field( 'woocommerce-login' ); ?>

				<div id="remember-me">
					<input class="input-checkbox" type="checkbox" name="rememberme" id="rememberme">
					<label for="rememberme" class="checkbox"><?php _e( 'Remember me', 'mino' ); ?></label>
				</div>

				<div class="form-row col-two">
					<div class="col-first">
						<input type="submit" class="btn btn-success" name="login" value="<?php esc_attr_e( 'Login', 'mino' ); ?>" />
					</div>
					<div class="col-last lost_password">
						<a href="<?php echo esc_url( wp_lostpassword_url() ); ?>"><?php _e( 'Lost your password?', 'mino' ); ?></a>
					</div>
				</div>

				<?php do_action( 'woocommerce_login_form_end' ); ?>

			</div>

		</form>

	</div>
</div>