<?php
/**
 * Edit account form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/form-edit-account.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @version     2.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

do_action( 'woocommerce_before_edit_account_form' ); ?>

<?php wc_print_notices(); ?>

<form class="edit-account" action="" method="post">

	<?php do_action( 'woocommerce_edit_account_form_start' ); ?>

	<div class="account-section">

		<h2 class="page-subtitle"><?php _e( 'My Account', 'mino' ); ?></h2>
		<p class="more-down">
			<?php _e( 'Here is your account data including account details and address.', 'mino' ); ?>
		</p>

		<h5 class="page-subtitle"><?php _e( 'Account Details', 'mino' ); ?></h5>

		<p class="form-row form-row-first">
			<label for="account_first_name"><?php _e( 'First name', 'mino' ); ?> <span class="required">*</span></label>
			<input type="text" class="input-text" name="account_first_name" id="account_first_name" value="<?php echo esc_attr( $user->first_name ); ?>" />
		</p>
		<p class="form-row form-row-last">
			<label for="account_last_name"><?php _e( 'Last name', 'mino' ); ?> <span class="required">*</span></label>
			<input type="text" class="input-text" name="account_last_name" id="account_last_name" value="<?php echo esc_attr( $user->last_name ); ?>" />
		</p>
		<div class="clear"></div>
		<p class="form-row form-row-first">
			<label for="account_email"><?php _e( 'Email address', 'mino' ); ?> <span class="required">*</span></label>
			<input type="email" class="input-text" name="account_email" id="account_email" value="<?php echo esc_attr( $user->user_email ); ?>" />
		</p>
		<p class="form-row form-row-last">
			<label for="account_phone"><?php _e( 'Phone number', 'mino' ); ?> <span class="required">*</span></label>
			<input type="text" class="input-text" name="account_phone" id="account_phone" value="<?php echo esc_attr( get_user_meta( $user->ID, 'mino_wc_account_phone', true ) ); ?>" />
		</p>
		<div class="clear"></div>

	</div>
	
	<div class="account-section">

		<h5 class="page-subtitle"><?php _e( 'Password Change', 'mino' ); ?></h5>

		<p class="form-row form-row-wide">
			<label for="password_current"><?php _e( 'Current Password (leave blank to leave unchanged)', 'mino' ); ?></label>
			<input type="password" class="input-text" name="password_current" id="password_current" />
		</p>
		<p class="form-row form-row-wide">
			<label for="password_1"><?php _e( 'New Password (leave blank to leave unchanged)', 'mino' ); ?></label>
			<input type="password" class="input-text" name="password_1" id="password_1" />
		</p>
		<p class="form-row form-row-wide">
			<label for="password_2"><?php _e( 'Confirm New Password', 'mino' ); ?></label>
			<input type="password" class="input-text" name="password_2" id="password_2" />
		</p>

	</div>
	<div class="clear"></div>

	<?php do_action( 'woocommerce_edit_account_form' ); ?>

	<div class="account-section">
		<p>
			<?php wp_nonce_field( 'save_account_details' ); ?>
			<input type="submit" class="btn btn-success" name="save_account_details" value="<?php esc_attr_e( 'Save changes', 'mino' ); ?>" />
			<input type="hidden" name="action" value="save_account_details" />
		</p>
	</div>

	<?php do_action( 'woocommerce_edit_account_form_end' ); ?>

</form>

<?php do_action( 'woocommerce_after_edit_account_form' ); ?>