<?php
/**
 * Lost password form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/form-lost-password.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woothemes.com/document/template-structure/
 * @version 2.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>

<?php wc_print_notices(); ?>

<h2><?php _e( 'Forget Password', 'mino' ); ?></h2>

<form method="post" class="woocommerce-ResetPassword lost_reset_password">

	<p><?php echo apply_filters( 'woocommerce_lost_password_message', __( 'Lost your password? Please enter your username or email address. You will receive a link to create a new password via email.', 'mino' ) ); ?></p>

	<p class="form-row"><label for="user_login"><?php _e( 'Username or email', 'mino' ); ?></label> <input class="input-text" type="text" name="user_login" id="user_login" /></p>

	<div class="clear"></div>

	<?php do_action( 'woocommerce_lostpassword_form' ); ?>

	<p class="form-row">
		<input type="hidden" name="wc_reset_password" value="true" />
		<input type="submit" class="btn btn-success btn-full" value="<?php echo 'lost_password' === $args['form'] ? __( 'Reset Password', 'mino' ) : __( 'Save', 'mino' ); ?>" />
	</p>

	<?php 
		if ( get_option( 'woocommerce_enable_myaccount_registration' ) === 'yes' ) {
			$text_logreg 	= __( 'Login | Register', 'mino' );
		} else {
			$text_logreg 	= __( 'Login', 'mino' );
		}
	?>

	<p class="form-now">
		<a class="link-gray" href="<?php echo esc_url( get_permalink( get_option('woocommerce_myaccount_page_id') ) ); ?>" title="<?php echo $text_logreg; ?>"><?php echo $text_logreg; ?></a>
	</p>

	<?php wp_nonce_field( $args['form'] ); ?>

</form>
