<?php
/**
 * Order Customer Details
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/order/order-details-customer.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @version 2.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<?php
	if ( is_wc_endpoint_url( 'order-received' ) || is_wc_endpoint_url( 'view-order' ) ) {
		echo '<div class="info-bio-details order-section">';
	} else {
		echo '<div class="row"><div class="col-md-8 info-bio-details order-section">';
	}
?>

	<header>
		<h5 class="page-subtitle"><?php _e( 'Customer Details', 'mino' ); ?></h5>
	</header>
	<?php if ( $order->customer_note ) : ?>
	<div class="info-item-container">
		<div class="info-item">
			<span>Notes : </span>
			<span><?php echo wptexturize( $order->customer_note ); ?></span>
		</div>
	</div>
	<?php endif; ?>
	<?php if ( $order->billing_email ) : ?>
	<div class="info-item-container">
		<div class="info-item">
			<span>Email : </span>
			<span><?php echo esc_html( $order->billing_email ); ?></span>
		</div>
	</div>
	<?php endif; ?>
	<?php if ( $order->billing_phone ) : ?>
	<div class="info-item-container">
		<div class="info-item">
			<span>Telephone : </span>
			<span><?php echo esc_html( $order->billing_phone ); ?></span>
		</div>
	</div>
	<?php endif; ?>

<?php
	if ( is_wc_endpoint_url( 'order-received' ) || is_wc_endpoint_url( 'view-order' ) ) {
		echo '</div>';
	} else {
		echo '</div></div>';
	}
?>

<?php
	if ( is_wc_endpoint_url( 'order-received' ) || is_wc_endpoint_url( 'view-order' ) ) {
		echo '<div class="order-section">';
	} else {
		echo '<div class="row"><div class="col-md-8 order-section">';
	}
?>
	<?php if ( ! wc_ship_to_billing_address_only() && $order->needs_shipping_address() ) : ?>

	<div class="col2-set addresses">
		<div class="col-1">

	<?php endif; ?>

	<header class="title">
		<h5 class="page-subtitle"><?php _e( 'Billing Address', 'mino' ); ?></h5>
	</header>
	<address>
		<?php echo ( $address = $order->get_formatted_billing_address() ) ? $address : __( 'N/A', 'mino' ); ?>
	</address>

	<?php if ( ! wc_ship_to_billing_address_only() && $order->needs_shipping_address() ) : ?>

		</div><!-- /.col-1 -->
		<div class="col-2">
			<header class="title">
				<h5 class="page-subtitle"><?php _e( 'Shipping Address', 'mino' ); ?></h5>
			</header>
			<address>
				<?php echo ( $address = $order->get_formatted_shipping_address() ) ? $address : __( 'N/A', 'mino' ); ?>
			</address>
		</div><!-- /.col-2 -->
	</div><!-- /.col2-set -->

	<?php endif; ?>

<?php
	if ( is_wc_endpoint_url( 'order-received' ) || is_wc_endpoint_url( 'view-order' ) ) {
		echo '</div>';
	} else {
		echo '</div></div>';
	}
?>