<?php
/**
 * Single Product Meta
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/meta.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $post, $product;

$cat_count = sizeof( get_the_terms( $post->ID, 'product_cat' ) );
$tag_count = sizeof( get_the_terms( $post->ID, 'product_tag' ) );

?>
<div class="product_meta">

	<?php do_action( 'woocommerce_product_meta_start' ); ?>

	<?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) : ?>

		<span class="sku_wrapper"><?php _e( 'SKU:', 'mino' ); ?> <span class="sku" itemprop="sku"><?php echo ( $sku = $product->get_sku() ) ? $sku : __( 'N/A', 'mino' ); ?></span></span>

	<?php endif; ?>

	<div class="single-categories">
		<?php echo $product->get_categories( ' ', '<span class="widget-tag clearfix posted_in">' . _n( '<span class="widget-tag-label">Category:</span>', '<span class="widget-tag-label">Categories:</span>', $cat_count, 'mino' ) . ' ', '</span>' ); ?>
	</div>

	<div class="single-tags">
		<?php echo $product->get_tags( ' ', '<span class="widget-tag clearfix tagged_as">' . _n( '<span class="widget-tag-label">Tag:</span>', '<span class="widget-tag-label">Tags:</span>', $tag_count, 'mino' ) . ' ', '</span>' ); ?>
	</div>

	<?php do_action( 'woocommerce_product_meta_end' ); ?>

</div>
