<?php
/**
 * Single Product tabs
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/tabs/tabs.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @version 2.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Filter tabs and allow third parties to add their own.
 *
 * Each tab is an array containing title, callback and priority.
 * @see woocommerce_default_product_tabs()
 */
$tabs = apply_filters( 'woocommerce_product_tabs', array() );

if ( ! empty( $tabs ) ) : ?>
	
	<div class="col-md-12 col-sm-12">
		<div class="woocommerce-tabs wc-tabs-wrapper">
			<ul class="tabs wc-tabs">
				<?php foreach ( $tabs as $key => $tab ) : ?>
					<li class="<?php echo esc_attr( $key ); ?>_tab">
						<a href="#tab-<?php echo esc_attr( $key ); ?>"><?php echo apply_filters( 'woocommerce_product_' . $key . '_tab_title', $tab['title'], $key ); ?></a>
					</li>
				<?php endforeach; ?>
			</ul>
			<?php 
				if ( ! empty( $tabs ) ) :
					foreach ( $tabs as $key => $tab ) : 
						if ( isset( $tab['callback'] ) ) :
			?>
						<div class="panel entry-content wc-tab" id="tab-<?php echo esc_attr( $key ); ?>">
							<?php call_user_func( $tab['callback'], $key, $tab ); ?>
						</div>
						<?php else : ?>
						<div class="panel entry-content wc-tab" id="tab-<?php echo esc_attr( $key ); ?>">
							<?php echo ucfirst( 'No info yet' ); ?>
						</div>
			<?php 
						endif;
					endforeach;
				endif;
			?>
		</div>
	</div>

<?php endif; ?>
